# Class PolygonForms

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.PolygonForms

public class PolygonForms extends Object
ShapeForm implementations for plotting filled or outline polygons.

Since:
  5 Mar 2019
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ShapeForm`
`ARRAY`
Shape form for a polygon defined by an array coordinate.
`static final FloatingArrayCoord`
`ARRAY_COORD`
Coordinate for array coordinate, used with ARRAY.
`static final ConfigKey<Boolean>`
`INCLUDEPOS_KEY`
Reference position inclusion toggle key.
`static final ConfigKey<PolygonShape>`
`POLYSHAPE_KEY`
Polygon mode configuration key.
`static final ConfigKey<Integer>`
`POLYTHICK_KEY`
Polygon thickness configuration key.
`static final ShapeForm`
`QUAD`
Shape form for a quadrilateral defined by 4 positional coordinates.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### QUAD

public static final ShapeForm QUAD
Shape form for a quadrilateral defined by 4 positional coordinates.

### ARRAY

public static final ShapeForm ARRAY
Shape form for a polygon defined by an array coordinate.

### POLYSHAPE_KEY

public static final ConfigKey<PolygonShape> POLYSHAPE_KEY
Polygon mode configuration key.

### POLYTHICK_KEY

public static final ConfigKey<Integer> POLYTHICK_KEY
Polygon thickness configuration key.

### INCLUDEPOS_KEY

public static final ConfigKey<Boolean> INCLUDEPOS_KEY
Reference position inclusion toggle key.

### ARRAY_COORD

public static final FloatingArrayCoord ARRAY_COORD
Coordinate for array coordinate, used with ARRAY.